# Class Twin<TProject, TProduct, TEntityType, TUnit>

#### Type Parameters

- TProject
- TProduct
- TEntityType
- TUnit

##### Index

### Constructors

constructor

### Properties

id
model?
version

## Constructors

### constructor

- new Twin<TProject, TProduct, TEntityType, TUnit>(): Twin<
  TProject,
  TProduct,
  TEntityType,
  TUnit,
  >

  #### Type Parameters

  - TProject
  - TProduct
  - TEntityType
  - TUnit

  #### Returns Twin<TProject, TProduct, TEntityType, TUnit>

## Properties

### id

id: string

### `Optional` model

model?: T8ClientModel<TProject, TProduct, TEntityType, TUnit>

### version

version: number